Comments

Description

Fetch a specific comment by providing its ID. Returns the parent post info and comments information.

Endpoint

GET api/v1/realtime/social/reddit/v1/comments/{commentId}

circle-info

Note: The requested comment appears at its natural depth (up to depth 3). For deeper comments (depth > 3), the response includes 3-4 parent comments above and child comments below to provide context.

Parameters

Param
Required
Param Type
Description

commentId

Yes

Path Param

String | The comment id

chevron-rightExample Requesthashtag
curl -X GET 'https://api.webit.live/api/v1/realtime/social/reddit/v1/comments/t1_np7u0jw' \
--header 'Authorization: Basic <credential string>'
chevron-rightExample Responsehashtag
{
    "post": {
        "id": "t3_1oy944r",
        "title": "Caught this at my workplace",
        "type": "SubredditPost",
        "subreddit": {
            "id": "t5_2xd6i",
            "name": "SecurityCamera",
            "prefixedName": "r/SecurityCamera"
        },
        "comments": [
            {
                "parentId": null,
                "depth": 0,
                "type": "Comment",
                "id": "t1_np2w16m",
                "content": "Was that Gallagher? P. S. r/screenshotsarehard",
                "richtextMedia": [],
                "createdAt": "2025-11-16T02:15:04.966Z",
                "editedAt": null,
                "upvotes": 5,
                "author": {
                    "type": "user",
                    "id": "t2_d85c4rle",
                    "name": "Individual_Agency703",
                    "icon": "https://preview.redd.it/snoovatar/avatars/nftv2_bmZ0X2VpcDE1NToxMzdfNDY2YTMzMDg4N2JkZjYyZDUzZjk2OGVhODI0NzkzMTUwZjA3NzYyZV8zNzI1MTA_rare_bde7a150-fe4b-4eaa-b98a-14022ef75094-headshot.png?width=50&height=50&auto=webp&s=103984cf7d7d87ee595f7aad7df9f598d13e07e1"
                },
                "permalink": "/r/SecurityCamera/comments/1oy944r/caught_this_at_my_workplace/np2w16m/"
            },
            {
                "parentId": "t1_np2w16m",
                "depth": 1,
                "type": "Comment",
                "id": "t1_np3glty",
                "content": "r/verticalvideosyndrome",
                "richtextMedia": [],
                "createdAt": "2025-11-16T04:30:22.178Z",
                "editedAt": null,
                "upvotes": 1,
                "author": {
                    "type": "user",
                    "id": "t2_i9lkd",
                    "name": "eerun165",
                    "icon": "https://styles.redditmedia.com/t5_c2rkw/styles/profileIcon_snoo7522fa60-f39a-4de6-9331-166db26f7f1c-headshot.png?width=50&height=50&frame=1&auto=webp&crop=50%3A50%2Csmart&s=b6c223d8117c35311101d483791ab83e30ec9304"
                },
                "permalink": "/r/SecurityCamera/comments/1oy944r/caught_this_at_my_workplace/np3glty/"
            },
            {
                "parentId": "t1_np3glty",
                "depth": 2,
                "type": "Comment",
                "id": "t1_np61h7g",
                "content": "YOU MADE ME LOOK AT A SUBREDDIT THAT DOESN’T EXIST, **GODDAMNIT-**",
                "richtextMedia": [],
                "createdAt": "2025-11-16T16:39:56.483Z",
                "editedAt": null,
                "upvotes": 2,
                "author": {
                    "type": "user",
                    "id": "t2_1zhfz6gr2i",
                    "name": "CellistPossible4856",
                    "icon": "https://preview.redd.it/snoovatar/avatars/ac15316e-a872-4fbc-b110-13729160b665-headshot.png?width=50&height=50&auto=webp&s=92e1518051be2ff3941af7f859bfe8bc934e2e25"
                },
                "permalink": "/r/SecurityCamera/comments/1oy944r/caught_this_at_my_workplace/np61h7g/"
            },
            {
                "parentId": "t1_np61h7g",
                "depth": 3,
                "type": "Comment",
                "id": "t1_np7u0jw",
                "content": "At least I didn’t fall for it thanks to your post!",
                "richtextMedia": [],
                "createdAt": "2025-11-16T22:08:24.197Z",
                "editedAt": null,
                "upvotes": 1,
                "author": {
                    "type": "user",
                    "id": "t2_ij6b1ebu",
                    "name": "PhilZealand",
                    "icon": "https://styles.redditmedia.com/t5_5o031q/styles/profileIcon_snooa040616b-3d61-42aa-b916-c9b665391194-headshot.png?width=50&height=50&frame=1&auto=webp&crop=50%3A50%2Csmart&s=4dcb602f21789c6aeeda60f2ff819687de05257b"
                },
                "permalink": "/r/SecurityCamera/comments/1oy944r/caught_this_at_my_workplace/np7u0jw/"
            }
        ]
    }
}

Last updated